hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "slim bouguerra (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-17468) Shade and package appropriate jackson version for druid storage handler
Date Wed, 06 Sep 2017 22:46:00 GMT

    [ https://issues.apache.org/jira/browse/HIVE-17468?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16156148#comment-16156148
] 

slim bouguerra commented on HIVE-17468:
---------------------------------------

[~jcamachorodriguez] not sure am following your thought, if we exclude all the druid stuff
then what is left is not what we want is going to be either hive jackson ones or from other
transitive dependency. 
My take on this is that the lib that are needed and brought by druid it will be shaded anyway
so no druid-jackson will be on the class path.
Please let me know if that make sens ?

> Shade and package appropriate jackson version for druid storage handler
> -----------------------------------------------------------------------
>
>                 Key: HIVE-17468
>                 URL: https://issues.apache.org/jira/browse/HIVE-17468
>             Project: Hive
>          Issue Type: Bug
>            Reporter: slim bouguerra
>            Assignee: Jesus Camacho Rodriguez
>             Fix For: 3.0.0
>
>         Attachments: HIVE-17468.patch, hive-druid-deps.txt
>
>
> Currently we are excluding all the jackson core dependencies coming from druid. This
is wrong in my opinion since this will lead to the packaging of unwanted jackson library from
other projects.
> As you can see the file hive-druid-deps.txt currently jacskon core is coming from calcite
and the version is 2.6.3 which is very different from 2.4.6 used by druid. This patch exclude
the unwanted jars and make sure to bring in druid jackson dependency from druid it self.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message